Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Class AbstractNamespaceURIBasedRulesModule

    java.lang.Object
      org.apache.commons.digester3.binder.AbstractRulesModule
          org.apache.commons.digester3.binder.AbstractNamespaceURIBasedRulesModule

All Implemented Interfaces:
  RulesModule

    public abstract class AbstractNamespaceURIBasedRulesModule

extends AbstractRulesModule

A support class for RulesModule which reduces repetition and results in a more readable configuration, that sets rules binding for a defined namespace URI (it can be overridden while binding).

Since:
  3.0

Constructor Summary
`AbstractNamespaceURIBasedRulesModule(String namespaceURI)` Creates a new (nullable) namespaceURI-based `RulesModule` that automatically binds every rule to the input namespaceURI.

Method Summary
`protected LinkedRuleBuilder` | `forPattern(String pattern)` Allows user binding one or more Digester rules to the input pattern.

Methods inherited from class org.apache.commons.digester3.binder.AbstractRulesModule
`addError, addError, configure, configure, install, rulesBinder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNamespaceURIBasedRulesModule

    public AbstractNamespaceURIBasedRulesModule(String namespaceURI)

  Creates a new (nullable) namespaceURI-based `RulesModule` that automatically binds every rule to the input namespaceURI.

  Parameters:
    `namespaceURI` - Namespace URI for which this Rule is relevant, or `null` to match independent of namespace.

Method Detail

### forPattern

    protected LinkedRuleBuilder forPattern(String pattern)

  Allows user binding one or more Digester rules to the input pattern.

  Overrides:
    `forPattern` in class `AbstractRulesModule`
  Parameters:
    `pattern` - The pattern used to bind rules
  Returns:
    The Digester rules builder
  See Also:
    `RulesBinder.forPattern(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.